<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
////////////////////////////////////////
echo head ."<b>Настройка авы</b>" .div; 
mysql_query("UPDATE `profile` SET `online` = 'ava' WHERE `id` = '".$id_session."'");

switch($_GET['act']){
default:

##Вывод авы
echo katalog;

if ( isset($_GET['razmer']) ) echo '<b>Не допустимый размер файла</b><br/ >';
if ( isset($_GET['razr']) ) echo '<b>Не допустимое разрешение файла</b><br/ >';
if ( isset($_GET['rash']) ) echo '<b>Не допустимое расширение файла</b><br/ >';
if ( isset($_GET['yes']) ) echo '<b>Ава успешно загружена</b><br/ >';
if ( isset($_GET['no']) ) echo '<b>Возникла ошибка</b><br/ >';

if($user['upload_ava']){
    $ava = '<a href="ava.php"><img src="resize.php?img=upload_ava/'.$user['upload_ava'].'&width='.$ava_w.'&height" alt=""/></a>';
} else {
    $ava = '<a href="ava.php"><img src="resize.php?img=noava.png&width='.$ava_w.'&height" alt=""/></a>';
}

echo $ava;
echo div;

echo katalog;
echo "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> <a href=\"ava.php?act=upload\">Загрузить</a><br/>";
if ( !empty($user['upload_ava']) ) {
echo "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> <a href=\"ava.php?act=delete\">Удалить</a><br/>"; 
}
echo "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> <a href=\"ava.php?act=restart\">Сбросить</a><br/>";
echo 'P.S Функцию Сбросить используйте для такого, если вы загрузили аву, но не отображается в вашей анкете. Если не помогло, обратитесь к администрации<br/>';
echo div;
break;


case 'upload':
if ( !empty($user['upload_ava']) ) {
    
    echo katalog . 'Сначало удалите старую аву' . div;
    echo katalog . "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> <a href=\"ava.php?act=delete\">Удалить</a>" . div;
    
} else {
echo katalog;
if(empty($_POST['doUpload'])){
    echo '<form action="ava.php?act=upload" method="POST" name="form" enctype="multipart/form-data">';
echo 'Вы можете загрузить сюда только собственную фотографию. Поддерживаются форматы JPG, PNG и GIF.<br/ >';
echo '<b>Максимальный размер: 200 кб</b>. <b>Максимальное разрешение: 640x800</b><br/ >';
print 'Выберите файл:<br />
<input type="file" name="file"><br /><input type="submit" name="doUpload" value="Загрузить"></form></div>';
}else{



$file = $_FILES['file']['tmp_name'];
$filename = $_FILES['file']['name'];
if(!empty($file))
{
ini_set('memory_limit', '32M');
$maxsize = "204800";
$extentions = array("jpeg","jpg","png","gif");
$size = filesize ($_FILES['file']['tmp_name']);
$type = strtolower(substr($filename, 1+strrpos($filename,".")));
$new_name = 'file-'.time().'.'.$type;
$razr = getimagesize($_FILES['file']['tmp_name']);


if($size > $maxsize) header('Location: ava.php?razmer');
if($razr[0] > 640 AND $razr[1] > 800) header('Location: ava.php?razr');
if(!in_array($type,$extentions)) header('Location: ava.php?rash');


if (copy($file, "upload_ava/".$new_name))
{

 header('Location: ava.php?yes');

if ( !empty($user['upload_ava']) ) {
    unlink('upload_ava/'.$user['upload_ava'].'');
    mysql_query("UPDATE `profile` SET `upload_ava` = '".$new_name."' WHERE `id` = '".$id_session."'");
} else {
mysql_query("UPDATE `profile` SET `upload_ava` = '".$new_name."' WHERE `id` = '".$id_session."'");
}


$msg = '<b>'.user($id_session).'</b> установил аву';
mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg."', `user` = '".$id_session."', `date` = '".time()."'");

}
else{  header('Location: ava.php?no');
}

}



}
echo div;

}
break;

case 'delete':
    unlink('upload_ava/'.$user['upload_ava'].'');
    mysql_query("UPDATE `profile` SET `upload_ava` = '0' WHERE `id` = '".$id_session."'");
    $msg = '<b>'.user($id_session).'</b> удалил аву';
    mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg."', `user` = '".$id_session."', `date` = '".time()."'");
    echo rew('ava.php');
break;

case 'restart':
    @unlink('upload_ava/'.$user['upload_ava'].'');
    mysql_query("UPDATE `profile` SET `upload_ava` = '' WHERE `id` = '".$id_session."'");
    echo rew('ava.php');
break;
}


//////////////////////////////////////

navig();
foot();
?>